Subject: Re: bug#40542: wip-hurm-vm build failure

From: Christopher Howard <[email-masked]>
Date: Tue, 14 Apr 2020 09:29:46 -0800

I am using only a mouse. I unplugged the mouse, but am getting similar
behavior.

Something of interest, however: the keyboard inputs seem to be working
fine until a few seconds after I "login root", at which point the
emulated VGA screen blinks, and the wonky behavior starts.

-----Original Message-----From: Bengt Richter <[email-masked]>Reply-To:
Bengt Richter <[email-masked]>To: Jan Nieuwenhuizen <[email-masked]>Cc:
Christopher Howard <[email-masked]>, 
[email-masked]: Re: bug#40542: wip-hurm-vm build
failureDate: Tue, 14 Apr 2020 18:57:55 +0200
Hi Janneke,
On +2020-04-14 07:46:48 +0200, Jan Nieuwenhuizen wrote:
> Christopher Howard writes:
> > I'm having some trouble playing around with the VM, because a lot
> > ofweird things are happening with keyboard input into the
> > qemuwindow. It seems like the meta keys (shift, ctrl, alt, super)
> > arebehaving in strange ways, or that terminal state is getting
> > corruptedsomehow. E.g., sometimes shift key stops working, or the
> > cursors jumpsup to the middle of the screen, or text gets garbled.
> 
> Since yesterday I've been seeing that too.  I'm pretty sure that if
> youbuild a VM from core-uupdates, the console is fine.
> I haven't looked into the details of the console/tty setup, so I
> musthave messed-up something.  Sorry!

Could it be a sensitive touch-pad? (are there configs to adjust
triggering on motion?)(I have to disable mouse/touchpad input to edit
unless I'm super carefulnot to brush it with my sleeve or palm)
> Meanwhile we do have ssh login :-)
> The startup now goes like this
>     startup -> runsystem -> init -> runsystem.hurd -> rc -> shepherd
> and; i would like to move towards
>     -startup -> rc -> shepherd
> if that's possible.
> Greetings,janneke
> -- Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond 
> http://lilypond.org
> Freelance IT http://JoyofSource.com | Avatar® 
> http://AvatarAcademy.com
> 
> 
> 
-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com